/*
 *  Copyright (C) 2008  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#ifndef ATOMPUB_RESOURCE_H
#define ATOMPUB_RESOURCE_H

#include <atompub/ctx.h>
#include <atompub/feed.h>
#include <atompub/entry.h>

typedef struct _atom_resource AtomResource;

AtomResource * atom_resource_new_from_feed (AtomFeed *);
AtomResource * atom_resource_new_from_entry (AtomEntry *);
void atom_resource_delete (AtomResource *);
void atom_resource_string (AtomResource *, char **, size_t *);

#endif
